Quantcast
Channel: Scripting - McNeel Forum
Viewing all articles
Browse latest Browse all 5745

Help on SplitBrep

$
0
0

@Cyver wrote:

Hi all,

i'm trying to split an object from center world by making a cutplane and use it as cutter, but something is wrong i my (poor) script, i got an error message "string required" in SplitBrep line , i think the problem come from arrObjects .

any help ?

Thanks.

Dim arrObjects, arrPt0, arrPt1, arrNormal, strCutter

arrObjects = Rhino.GetObjects("Select objects for ZTrim",, True, True)

arrPt0 = array(0, 0, 0)
arrPt1 = array(0, 1, 0)
arrNormal = array(1, 0, 0)

If IsArray(arrObjects) Then

	Rhino.AddCutPlane arrObjects, arrPt0, arrPt1, arrNormal
	strCutter = Rhino.FirstObject
	'		Rhino.Print strCutter
	Rhino.SplitBrep arrObjects, strCutter



End If

Posts: 3

Participants: 2

Read full topic


Viewing all articles
Browse latest Browse all 5745

Trending Articles